Subject: bug#35212: problem docs vs. implementation

From: L A Walsh <[email-masked]>
Date: Tue, 09 Apr 2019 17:31:44 -0700

My console becomes 121 characters wide when I turn on
unicode, but stty says it is 132 characters.

Looking at the stty manpage, I see:
Special settings:
...
       * cols N
              tell the kernel that the terminal has N columns

       * columns N
              same as cols N
---
I thought 'cool', I'll tell the kernel its only 121 characters.

I end up with :
> echo $TTY
> /dev/tty1
> stty cols 121
stty: 'standard input': Invalid argument

So .. why can't I tell the kernel how many columns my tty is?